From aedb170ff514dd2222a3437e1fc5e3fdc6353a2d Mon Sep 17 00:00:00 2001
From: Dominik Schulz <mail@dschulz.eu>
Date: Wed, 2 Sep 2020 19:34:22 +0200
Subject: [PATCH] Trim version prefix in jsonapi

Fixes #1563

RELEASE_NOTES=[BUGFIX] Trim version prefix in jsonapi

Signed-off-by: Dominik Schulz <dominik.schulz@gauner.org>
---
 VERSION                       | 2 +-
 cmd/gopass-jsonapi/jsonapi.go | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/VERSION b/VERSION
index 29833cbc..4dae2985 100644
--- a/VERSION
+++ b/VERSION
@@ -1 +1 @@
-v1.10.0
+1.10.1
diff --git a/cmd/gopass-jsonapi/jsonapi.go b/cmd/gopass-jsonapi/jsonapi.go
index b702a851..c4d9d21c 100644
--- a/cmd/gopass-jsonapi/jsonapi.go
+++ b/cmd/gopass-jsonapi/jsonapi.go
@@ -32,7 +32,7 @@ type jsonapiCLI struct {
 func (s *jsonapiCLI) listen(c *cli.Context) error {
 	ctx := ctxutil.WithGlobalFlags(c)
 
-	version, err := semver.Parse(c.App.Version)
+	version, err := semver.Parse(strings.TrimPrefix(c.App.Version, "v"))
 	if err != nil {
 		version = semver.Version{}
 	}
